{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
{% url 'admin:jsi18n' as jsi18nurl %}
  <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
{{ form.media }}
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}" />
<script type="text/javascript" src="{% static 'js/Matriculas/ventana_popup.js' %}"></script>
<script type="text/javascript" src="{% static 'admin/js/admin/RelatedObjectLookups.js' %}"></script>
<script type="text/javascript" src="{% static 'admin/js/SelectBox.js' %}"></script>
<script type="text/javascript" src="{% static 'custom/js/jquery.js' %}"></script>
<script type="text/javascript" src="{% static 'custom/js/Matriculas/select_multiple.js' %}"></script>

{% endblock %}

{% block extrastyle %}{% endblock %}


{% block breadcrumbs %}
<div class="breadcrumbs">
     <a href="javascript:window.close()">{% trans "Cerrar" %}</a> &rsaquo;
</div>
{% endblock %}

{% block title %} {% trans 'Matrícula de Cursos UDL' %} {% endblock %}

{% block content %}

<fieldset class="module aligned">
<h2>Agregar Cursos</h2>
<div class="form-row">
	<div class="field-box">
		<label class="required" >Alumno:</label>
                {{ matriculado.Alumno }}
	</div>
        <div class="field-box">
		<label class="required" >Código:</label>
                {{ matriculado.Alumno.Codigo }}
	</div>
	<div class="field-box">
		<label class="required inline" >Matrícula:</label>
		{{ matriculado.Periodo }}
	</div>
</div>
<div class="form-row">
	<div class="field-box">
		<label class="required" >Carrera:</label>
                {{ matriculado.Alumno.Carrera }}
	</div>
        <div class="field-box">
		<label class="required" >Categoria:</label>
                {{ matriculado.Categoria }}
	</div>
</div>

<form action="" method="POST" >{% csrf_token %}
{{ form.MatriculaCiclo }}
<div class="form-row">
	<label class="required" for="id_PeriodoCurso">Cursos:</label>
	<div class="selector">
		<div class="selector-available">
		<h2>Cursos de la Carrera Disponibles</h2>
                <p class="selector-filter">Seleccione los items a agregar y haga click en
		<img src="{% static 'admin/img/selector-add.gif" alt="Add"/>
		</p>
		<select id="id_PeriodoCurso_from" class="filtered" name="PeriodoCurso_old" multiple="multiple"/>
                {% for curso in cursos %}
                    <option value="{{ curso.id }}">{{ curso.Etiqueta }}</option>
                {% endfor %}
		</select>
		<a id = "select_chooseall" class="selector-chooseall" href="#">Seleccionar todos</a>
	        </div>

	        <ul class="selector-chooser">
		<li><a id = "add_periodocurso" class="selector-add" href="#">Agregar</a>
		</li>
		<li><a id = "remove_periodocurso" class="selector-remove" href="#">Eliminar</a>
		</li>
	        </ul>

	        <div class="selector-chosen">
                  {{ form.PeriodoCurso.errors }}
		  <h2>Cursos de la Carrera elegidos</h2>
		  <p class="selector-filter">Seleccione los items a quitar y haga click en
		  <img src="{% static 'admin/img/selector-remove.gif" alt="Add"/>
		  </p>
		     {{ form.PeriodoCurso }}
                  <a id = "select_clearall" class="selector-clearall" href="#">Eliminar todos</a>
                </div>
        </div>
</div>
<div class="form-row">
{{ form.FechaMatricula.errors }}
{{ form.FechaMatricula.label_tag }}:
{{ form.FechaMatricula }}
</div>
<div class="form-row">
<p>{{ form.Convalidacion.errors }}</p>
<p>{{ form.Convalidacion }} ¿Los cursos elegidos son convalidados?</p>
</div>
</fieldset>

<div class="submit-row">
<input class="default" type="submit" value="Grabar" />
</div>
</form>

{% endblock %}
